Get Form List

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/zipform-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "ZipForm API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/zipform-api/mcp"
  }
}

Close
GET /transactions/{transactionId}/forms

Returns the list of forms for a given transaction. Forms are distinguished by contentType having a value of form.

Path parameters

  • transactionId string(uuid) Required

    Transaction GUID

Responses

  • 200 application/json

    Form list returned successfully

    Hide response attribute Show response attribute object
    • value array[object]
      Hide value attributes Show value attributes object
      • id string

        Document ID or Form GUID

      • name string
      • description string
      • contentType string

        form, PDF, doc, etc.

      • version string
      • signed integer

        0=not signed, 1=Docusign, 2=zipLogix Digital Ink, 3=zipLogix Digital Ink TouchSign

      • size integer

        Size in bytes (0 for forms)

  • 401

    Unauthorized

  • 404

    Transaction not found

GET /transactions/{transactionId}/forms
curl \
 --request GET 'https://api.pre.zipformplus.com/api/transactions/{transactionId}/forms' \
 --header "X-Auth-ContextId: $API_KEY"
Response examples (200)
{
  "value": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "contentType": "string",
      "version": "string",
      "signed": 42,
      "size": 42
    }
  ]
}